#
# (*) TTF fonts are taken from http://www.larabiefonts.com, thus we can redistribute
#
%define name foobillard
%define version 2.2
%define release 1mdk
%define summary OpenGl billard game

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://foobillard.sunsite.dk/dnl/%{name}-%{version}.tar.bz2
Patch0: foobillard-1.5-cflags.patch.bz2
License: GPL
Group: Games/Sports
URL: http://foobillard.sunsite.dk/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: XFree86-devel libMesaGLU-devel libMesaglut-devel libpng-devel zlib-devel
%description
A free OpenGl billard game for linux.

%prep
%setup -q
#%patch0 -p0
#%ifarch %{ix86}
#perl -pi -e "s|/MUHMANDRAKE/|$RPM_OPT_FLAGS -fno-fast-math|" src/Makefile.am
#%else
#perl -pi -e "s|/MUHMANDRAKE/|$RPM_OPT_FLAGS|" src/Makefile.am
#%endif

%build
./configure --prefix=%{_prefix} --enable-glut
make 


%install
make DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_datadir}/*

%changelog
* Thu Dec 19 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 2.2-1mdk
- new version

* Wed Dec  4 2002  <adesmons@mandrakesoft.com> 1.9-1mdk
- new version (better sound, exact table polygons - no more black 
dots, improved menu, ball traces)

* Wed Oct 30 2002 Arnaud Desmons  <adesmons@mandrakesoft.com> 1.8-1mdk
- new version (cubemap reflections, 2 GL_LIGHTs instead of one,
now also possible to run non-installed from anywhere in the sourcetree,
bird view).

* Thu Oct 17 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.7-1mdk
- new version (bugfix, black-white theme without frame texture)

* Mon Jul 29 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.6-1mdk
- new version

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-1mdk
- new version

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- new version

* Thu Mar  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-1mdk
- first mdk package
